%define	major	10
%define	maj_app	0
%define	gir_maj	1.0
%define	libname	%mklibname %{name} %{major}
%define	lib_app	%mklibname %{name}-applet %{maj_app}
%define	girname	%mklibname %{name}-gir %{gir_maj}
%define	gir_app	%mklibname %{name}-applet-gir %{gir_maj}
%define	devname	%mklibname -d %{name}

Name: 	 	gnome-bluetooth
Summary: 	GNOME Bluetooth Subsystem
Epoch:		1
Version: 	3.4.2
Release:	1
#gw lib is LGPL, main app is GPL
License:	GPLv2+ and LGPLv2+
Group:		Graphical desktop/GNOME
URL:		http://usefulinc.com/software/gnome-bluetooth/
Source0:	http://ftp.gnome.org/pub/GNOME/sources/gnome-bluetooth/%{name}-%{version}.tar.xz

BuildRequires:	intltool
BuildRequires:	GConf2
BuildRequires:	gettext
BuildRequires:	gnome-common
BuildRequires:	gtk-doc
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gnome-doc-utils)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(unique-3.0)
BuildRequires:	pkgconfig(libnotify)
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	pkgconfig(gconf-2.0)
BuildRequires:	pkgconfig(nautilus-sendto)
BuildRequires:	pkgconfig(gobject-introspection-1.0)

Requires:	gvfs-obexftp
Requires:	bluez
Requires:	obexd

%description
The gnome-bluetooth package contains graphical utilities to setup,
monitor and use Bluetooth devices.

%package -n	%{libname}
Group:		System/Libraries
Summary: 	GNOME bluetooth library
Conflicts:	%{_lib}gnome-bluetooth7 < 1:2.31

%description -n	%{libname}
Library from GNOME-Bluetooth.

%package -n	%{lib_app}
Group:		System/Libraries
Summary: 	GNOME bluetooth Applet library

%description -n %{lib_app}
Library from GNOME-Bluetooth Applet

%package -n	%{girname}
Group:		System/Libraries
Summary:	GObject Introspection interface for %{name}
Requires:	%{libname} = %{EVRD}

%description -n	%{girname}
GObject Introspection interface for %{name}.

%package -n	%{gir_app}
Group:		System/Libraries
Summary:	GObject Introspection interface for %{name} applet
Requires:	%{lib_app} = %{EVRD}

%description -n	%{gir_app}
GObject Introspection interface for %{name} applet. 

%package -n	%{devname}
Group:		Development/C
Summary:	Development libraries and header files from %{name}
Requires:	%{libname} = %{EVRD}
Requires:	%{lib_app} = %{EVRD}
Provides:	%{name}-devel = %{version}-%{release}


%description -n	%{devname}
Development libraries and header files from %{name}

%package -n	nautilus-sendto-bluetooth
Summary:	Send files from nautilus to bluetooth
Group:		Graphical desktop/GNOME
Requires:	nautilus-sendto
Requires:	%{name} = %{EVRD}

%description -n nautilus-sendto-bluetooth
This application provides integration between nautilus and bluetooth.
It adds a Nautilus context menu component ("Send To...") and features
a dialog for insert the bluetooth device which you want to send the
file/files.

%prep
%setup -q
%apply_patches

%build
%configure2_5x \
	--enable-shared \
	--disable-static \
	--disable-desktop-update \
	--disable-icon-update

%make
										
%install
%makeinstall_std
%find_lang %{name}2 --all-name --with-gnome

%files -f %{name}2.lang
%doc README AUTHORS
%{_sysconfdir}/xdg/autostart/bluetooth-applet.desktop
%{_bindir}/*
%{_datadir}/applications/bluetooth-sendto.desktop
%{_datadir}/applications/bluetooth-wizard.desktop
%{_datadir}/icons/hicolor/*/*/*.*
%{_datadir}/%{name}
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/plugins
%{_libdir}/%{name}/plugins/libgbtgeoclue.*
%{_mandir}/man1/*

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}*

%files -n %{lib_app}
%{_libdir}/gnome-bluetooth/libgnome-bluetooth-applet.so.%{maj_app}*

%files -n %{girname}
%{_libdir}/girepository-1.0/GnomeBluetooth-%{gir_maj}.typelib

%files -n %{gir_app}
%{_libdir}/gnome-bluetooth/GnomeBluetoothApplet-%{gir_maj}.typelib

%files -n %{devname}
%{_datadir}/gtk-doc/html/%{name}
%{_includedir}/%{name}
%{_libdir}/*.so
%{_libdir}/gnome-bluetooth/libgnome-bluetooth-applet.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/gir-1.0/GnomeBluetooth-1.0.gir

%files -n nautilus-sendto-bluetooth
%{_libdir}/nautilus-sendto/plugins/libnstbluetooth.so
%{_datadir}/GConf/gsettings/gnome-bluetooth-nst
%{_datadir}/glib-2.0/schemas/org.gnome.Bluetooth.nst.gschema.xml


%changelog
* Thu Jul 05 2012 Matthew Dawkins <mattydaw@mandriva.org> 1:3.4.2-1
+ Revision: 808206
- update to new version 3.4.2

* Tue Jun 12 2012 Matthew Dawkins <mattydaw@mandriva.org> 1:3.4.1-1
+ Revision: 805289
- update to new version 3.4.1

* Wed May 09 2012 Per Øyvind Karlsen <peroyvind@mandriva.org> 1:3.4.0-2
+ Revision: 797746
- cleanups
- fix missing epoch of versioned dependency on gnome-bluetooth for
  'nautilus-sendto-bluetooth' sub-package, making it impossible to install

* Wed May 02 2012 Matthew Dawkins <mattydaw@mandriva.org> 1:3.4.0-1
+ Revision: 794890
- rebuild
- moved devel lib applet file to devel pkg

* Thu Apr 26 2012 Guilherme Moro <guilherme@mandriva.com> 1:3.4.0-0
+ Revision: 793649
- Updated to version 3.4.0

* Sun Dec 04 2011 Matthew Dawkins <mattydaw@mandriva.org> 1:3.2.1-1
+ Revision: 737598
- fixed BR requires to lib pkgs (EVRD)
- new version 3.2.1

* Sun Nov 20 2011 Oden Eriksson <oeriksson@mandriva.com> 1:2.32.0-4
+ Revision: 731961
- rebuild
- remove some quite annoying /usr/usr

* Sun Nov 13 2011 Oden Eriksson <oeriksson@mandriva.com> 1:2.32.0-3
+ Revision: 730445
- rebuild

* Mon Apr 11 2011 Funda Wang <fwang@mandriva.org> 1:2.32.0-2
+ Revision: 652540
- cleanup BRs
- add upstrem patch to build wigh libnotify and latest gi

* Tue Sep 28 2010 Götz Waschk <waschk@mandriva.org> 1:2.32.0-1mdv2011.0
+ Revision: 581809
- update to new version 2.32.0

* Mon Sep 13 2010 Götz Waschk <waschk@mandriva.org> 1:2.31.90-1mdv2011.0
+ Revision: 578010
- update to new version 2.31.90

* Thu Aug 05 2010 Funda Wang <fwang@mandriva.org> 1:2.31.6-2mdv2011.0
+ Revision: 566080
- add conflicts to ease upgrade

* Wed Aug 04 2010 Götz Waschk <waschk@mandriva.org> 1:2.31.6-1mdv2011.0
+ Revision: 565810
- new version
- new major
- update file list

* Fri Jul 30 2010 Funda Wang <fwang@mandriva.org> 1:2.30.0-2mdv2011.0
+ Revision: 563772
- rebuild for new gobject-introspection

* Mon Mar 29 2010 Götz Waschk <waschk@mandriva.org> 1:2.30.0-1mdv2010.1
+ Revision: 528909
- update to new version 2.30.0
- fix description (teuf)

* Mon Feb 15 2010 Götz Waschk <waschk@mandriva.org> 1:2.29.91-2mdv2010.1
+ Revision: 506155
- bump release
- update to new version 2.29.91
- remove introspection workaround

* Wed Dec 09 2009 Götz Waschk <waschk@mandriva.org> 1:2.29.3-1mdv2010.1
+ Revision: 475387
- new version
- add nautilus-sendto-bluetooth

* Wed Oct 21 2009 Frederic Crozat <fcrozat@mandriva.com> 1:2.28.3-1mdv2010.0
+ Revision: 458608
- Release 2.28.3

* Tue Oct 06 2009 Thierry Vignaud <tv@mandriva.org> 1:2.28.1-2mdv2010.0
+ Revision: 454749
- do not package huge ChangeLog

* Tue Sep 29 2009 Götz Waschk <waschk@mandriva.org> 1:2.28.1-1mdv2010.0
+ Revision: 450780
- new version
- disable parallel make

* Mon Sep 21 2009 Götz Waschk <waschk@mandriva.org> 1:2.28.0-1mdv2010.0
+ Revision: 446802
- new version

* Wed Sep 02 2009 Götz Waschk <waschk@mandriva.org> 1:2.27.90-1mdv2010.0
+ Revision: 425495
- new version
- drop patch

* Tue Sep 01 2009 Götz Waschk <waschk@mandriva.org> 1:2.27.9-4mdv2010.0
+ Revision: 423399
- fix duplicate UIs (bug #53000)

* Wed Aug 12 2009 Götz Waschk <waschk@mandriva.org> 1:2.27.9-3mdv2010.0
+ Revision: 415267
- move typelib to library package

* Fri Aug 07 2009 Götz Waschk <waschk@mandriva.org> 1:2.27.9-2mdv2010.0
+ Revision: 411135
- add dep on obexd

* Tue Aug 04 2009 Götz Waschk <waschk@mandriva.org> 1:2.27.9-1mdv2010.0
+ Revision: 409377
- update to new version 2.27.9

* Fri Jul 31 2009 Götz Waschk <waschk@mandriva.org> 1:2.27.8-2mdv2010.0
+ Revision: 405069
- enable introspection support
- new version
- new major
- disable introspection by default

* Thu Jun 25 2009 Götz Waschk <waschk@mandriva.org> 1:2.27.7.1-1mdv2010.0
+ Revision: 389181
- new version
- update file list
- disable static libraries

* Wed Jun 17 2009 Götz Waschk <waschk@mandriva.org> 1:2.27.6-1mdv2010.0
+ Revision: 386566
- new version
- drop patch
- new major

* Wed May 13 2009 Götz Waschk <waschk@mandriva.org> 1:2.27.5-2mdv2010.0
+ Revision: 375461
- update deps
- obsolete bluez-gnome

* Mon May 11 2009 Götz Waschk <waschk@mandriva.org> 1:2.27.5-1mdv2010.0
+ Revision: 374503
- update build deps
- add epoch
- new version
- fix format strings
- new major
- update file list
- update deps

* Thu Apr 23 2009 Frederic Crozat <fcrozat@mandriva.com> 1:0.12.0-4mdv2009.1
+ Revision: 368852
- Fix invalid requires in devel package

* Mon Mar 09 2009 Götz Waschk <waschk@mandriva.org> 1:0.12.0-3mdv2009.1
+ Revision: 353096
- set epoch to be able to upload 0.12.0
- revert to 0.12.0

* Fri Feb 20 2009 mandrake <mandrake@mandriva.com> 2.27.1-1mdv2009.1
+ Revision: 343255
- %repsys markrelease
  version: 0.12.0
  release: 2mdv2009.1
  revision: 343247
  Copying 0.12.0-2mdv2009.1 to releases/ directory.

* Fri Feb 20 2009 Götz Waschk <waschk@mandriva.org> 0.12.0-2mdv2009.1
+ Revision: 343247
- fix devel name

* Fri Feb 20 2009 Götz Waschk <waschk@mandriva.org> 0.12.0-1mdv2009.1
+ Revision: 343224
- new version
- remove gnome-obex-server
- drop patches
- new major
- update license

* Fri Dec 26 2008 Adam Williamson <awilliamson@mandriva.org> 0.11.0-4mdv2009.1
+ Revision: 319534
- rebuild with python 2.6

* Sun Nov 09 2008 Oden Eriksson <oeriksson@mandriva.com> 0.11.0-3mdv2009.1
+ Revision: 301525
- rebuilt against new libxcb

* Thu Jun 12 2008 Pixel <pixel@mandriva.com> 0.11.0-2mdv2009.0
+ Revision: 218423
- rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas
- do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Mon Jan 28 2008 Frederic Crozat <fcrozat@mandriva.com> 0.11.0-2mdv2008.1
+ Revision: 159238
- Patch3: hide status icon by default, only show it during transfert or dialog popup

* Tue Jan 22 2008 Götz Waschk <waschk@mandriva.org> 0.11.0-1mdv2008.1
+ Revision: 156133
- new version

* Mon Jan 21 2008 Götz Waschk <waschk@mandriva.org> 0.10.0-1mdv2008.1
+ Revision: 155794
- new version

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <blino@mandriva.org>
    - restore BuildRoot

* Mon Jul 23 2007 Götz Waschk <waschk@mandriva.org> 0.9.1-1mdv2008.0
+ Revision: 54630
- new version

* Mon Jul 16 2007 Götz Waschk <waschk@mandriva.org> 0.9.0-1mdv2008.0
+ Revision: 52415
- drop patches 0,1
- fix installation

  + Jérôme Soyer <saispo@mandriva.org>
    - Readd and rediff patch1
    - Push
    - New release 0.9.0
    - Remove patch0 and patch1

* Sun Jul 01 2007 Emmanuel Andry <eandry@mandriva.org> 0.8.0-6mdv2008.0
+ Revision: 46226
- apply fedora patches
- disable gconf schema install during build

* Sat Jun 30 2007 Emmanuel Andry <eandry@mandriva.org> 0.8.0-5mdv2008.0
+ Revision: 45977
- builrequires python-gobject-devel
- drop old debian menu


* Tue Feb 20 2007 Frederic Crozat <fcrozat@mandriva.com> 0.8.0-4mdv2007.0
+ Revision: 123116
-Use GNOME autostart feature
-Fix menu location
-Fix icon in menu

* Thu Nov 30 2006 Götz Waschk <waschk@mandriva.org> 0.8.0-3mdv2007.1
+ Revision: 89290
- rebuild

* Wed Oct 25 2006 Götz Waschk <waschk@mandriva.org> 0.8.0-2mdv2007.1
+ Revision: 72246
- rebuild for new libbtctl

* Sat Oct 14 2006 Götz Waschk <waschk@mandriva.org> 0.8.0-1mdv2007.1
+ Revision: 64507
- Import gnome-bluetooth

* Sat Oct 14 2006 Götz Waschk <waschk@mandriva.org> 0.8.0-1mdv2007.1
- unpack patch
- update file list
- bump deps
- drop patches 0,2
- New version 0.8.0

* Fri Aug 25 2006 Götz Waschk <waschk@mandriva.org> 0.7.0-7mdv2007.0
- fix provides

* Thu Aug 03 2006 Frederic Crozat <fcrozat@mandriva.com> 0.7.0-6mdv2007.0
- Rebuild with latest dbus
- fix xdg menu
- use macros

* Tue May 16 2006 Frederic Crozat <fcrozat@mandriva.com> 0.7.0-5mdk
- Patch1: fix tray icon transparency
- migrate menu to XDG

* Wed Mar 15 2006 Götz Waschk <waschk@mandriva.org> 0.7.0-4mdk
- fix devel deps

* Fri Feb 10 2006 Götz Waschk <waschk@mandriva.org> 0.7.0-3mdk
- patch for new openobex
- use mkrel

* Wed Jan 11 2006 Pascal Terjan <pterjan@mandriva.org> 0.7.0-2mdk
- fix bug 20578

* Thu Nov 24 2005 Götz Waschk <waschk@mandriva.org> 0.7.0-1mdk
- update file list
- bump deps
- drop patches
- New release 0.7.0

* Tue Sep 06 2005 Frederic Crozat <fcrozat@mandriva.com> 0.6.0-3mdk 
- Patch2 (CVS): fix crash

* Tue Aug 30 2005 Austin Acton <austin@mandriva.org> 0.6.0-2mdk
- requires gnome-python-gnomevfs (bug 15656)

* Thu Aug 18 2005 Götz Waschk <waschk@mandriva.org> 0.6.0-1mdk
- add gconf schema and registration
- drop old file
- bump deps
- drop patch 0
- new version

* Mon Jan 31 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.5.1-15mdk
- fix lib64 patch

* Wed Jan 05 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5.1-14mdk 
- Rebuild with latest howl

* Sun Dec 05 2004 Michael Scherer <misc@mandrake.org> 0.5.1-13mdk
- Rebuild for new python

* Tue Oct 19 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.5.1-12mdk
- lib64 fixes (aka pythondir path)

* Sat Oct 02 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5.1-11mdk
- Fix Buildrequires again

* Thu Sep 30 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5.1-10mdk
- Fix buildrequires

* Mon Sep 13 2004 Austin Acton <austin@mandrake.org> 0.5.1-9mdk
- add send dialog to menu

* Sat Aug 21 2004 Austin Acton <austin@mandrake.org> 0.5.1-8mdk
- new menu

* Wed Aug 04 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5.1-7mdk
- Add xinit file for GNOME desktop

* Thu Jul 29 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5.1-6mdk
- Patch0 : fix crash with gcc 3.4

* Tue Jul 20 2004 Austin Acton <austin@mandrake.org> 0.5.1-5mdk
- rebuild for new bluez

* Sat Jul 17 2004 Austin Acton <austin@mandrake.org> 0.5.1-4mdk
- requires gnome-python
- move bonobo plugin to main package
- add icon for server
- better group and menu location

* Sun Jun 20 2004 Austin Acton <austin@mandrake.org> 0.5.1-3mdk
- requires pygtk2.0-libglade

* Sun Jun 20 2004 Austin Acton <austin@mandrake.org> 0.5.1-2mdk
- move python .so to main package

* Sun Jun 20 2004 Austin Acton <austin@mandrake.org> 0.5.1-1mdk
- 0.5.1

* Sun Jun 13 2004 Austin Acton <austin@mandrake.org> 0.5-1mdk
- 0.5
- configure 2.5
- libify

* Fri Feb 20 2004 David Baudens <baudens@mandrakesoft.com> 0.4.1-4mdk
- Fix menu

